From 0a8c33e1e541afd67d1e73dbb5c3dce7642ce9c2 Mon Sep 17 00:00:00 2001
From: Iain Sandoe <iain@codesourcery.com>
Date: Sun, 27 Jul 2014 20:35:16 +0100
Subject: [PATCH 1006/1012] Default to ppc7400 for OSX 10.5+

(cherry picked from commit 971aa68baad8c240f1abf30e62bd947a8923e3fa)
---
 lib/Driver/Tools.cpp | 3 +++
 1 file changed, 3 insertions(+)

diff --git llvm_release_34/tools/clang/lib/Driver/Tools.cpp macports_release_34/tools/clang/lib/Driver/Tools.cpp
index ca966c5..f8d1695 100644
--- llvm_release_34/tools/clang/lib/Driver/Tools.cpp
+++ macports_release_34/tools/clang/lib/Driver/Tools.cpp
@@ -1366,6 +1366,9 @@ static std::string getCPUName(const ArgList &Args, const llvm::Triple &T) {
         TargetCPUName = "ppc64";
       else if (T.getArch() == llvm::Triple::ppc64le)
         TargetCPUName = "ppc64le";
+      else if (T.isOSDarwin() && !T.isMacOSXVersionLT(10,5))
+        // For 10.5+ Altivec is assumed available.
+        TargetCPUName = "7400";
       else
         TargetCPUName = "ppc";
     }
-- 
2.10.1

